<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:id="@+id/main"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:background="@color/white"
    android:fitsSystemWindows="true"
    tools:context=".ui.activity.LoginActivity">

    <ImageView
        android:id="@+id/iv_close"
        android:layout_width="25dp"
        android:layout_height="25dp"
        android:layout_marginStart="10dp"
        android:layout_marginTop="10dp"
        android:src="@drawable/ic_close"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toTopOf="parent" />

    <TextView
        android:id="@+id/tv_title"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginTop="50dp"
        android:text="手机号登录"
        android:textColor="@color/black"
        android:textSize="21sp"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toBottomOf="@id/iv_close" />

    <View
        android:id="@+id/view"
        android:layout_width="match_parent"
        android:layout_height="0.2dp"
        android:layout_marginTop="50dp"
        app:layout_constraintTop_toBottomOf="@id/tv_title" />

    <TextView
        android:id="@+id/tv_username"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginStart="15dp"
        android:layout_marginTop="15dp"
        android:text="手机号"
        android:textColor="@color/black"
        android:textSize="17sp"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toBottomOf="@id/view" />


    <EditText
        android:id="@+id/et_username"
        android:layout_width="0dp"
        android:layout_height="0dp"
        android:layout_marginStart="35dp"
        android:background="@null"
        android:hint="请填写手机号或用户名"
        android:textCursorDrawable="@drawable/cursor"
        android:textSize="17sp"
        app:layout_constraintBottom_toTopOf="@id/view1"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toEndOf="@id/tv_username"
        app:layout_constraintTop_toBottomOf="@id/view" />

    <View
        android:id="@+id/view1"
        android:layout_width="match_parent"
        android:layout_height="0.2dp"
        android:layout_marginHorizontal="10dp"
        android:layout_marginTop="15dp"
        android:background="#D8D8D8"
        app:layout_constraintTop_toBottomOf="@id/tv_username" />

    <TextView
        android:id="@+id/tv_password"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginStart="15dp"
        android:layout_marginTop="15dp"
        android:text="密码"
        android:textColor="@color/black"
        android:textSize="17sp"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toBottomOf="@id/view1" />

    <EditText
        android:id="@+id/et_password"
        android:layout_width="0dp"
        android:layout_height="0dp"
        android:background="@null"
        android:hint="请填写密码"
        android:inputType="textPassword"
        android:textCursorDrawable="@drawable/cursor"
        android:textSize="17sp"
        app:layout_constraintBottom_toTopOf="@id/view2"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="@id/et_username"
        app:layout_constraintTop_toBottomOf="@id/view1" />

    <View
        android:id="@+id/view2"
        android:layout_width="match_parent"
        android:layout_height="0.2dp"
        android:layout_marginHorizontal="10dp"
        android:layout_marginTop="15dp"
        android:background="#D8D8D8"
        app:layout_constraintTop_toBottomOf="@id/tv_password" />

    <TextView
        android:id="@+id/tv_change_login_way"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginTop="15dp"
        android:text="用户名登录"
        android:textColor="@color/normal"
        android:textSize="16sp"
        app:layout_constraintStart_toStartOf="@id/tv_username"
        app:layout_constraintTop_toBottomOf="@id/view2" />

    <TextView
        android:id="@+id/tv_tip"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginBottom="15dp"
        android:text="上述账号/邮箱仅用于登陆验证"
        android:textSize="16sp"
        app:layout_constraintBottom_toTopOf="@id/tv_login"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent" />

    <TextView
        android:id="@+id/tv_login"
        android:layout_width="150dp"
        android:layout_height="48dp"
        android:background="@drawable/login_bac"
        android:gravity="center"
        android:text="同意并登录"
        android:textColor="#b4B4B4"
        android:textSize="19sp"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toBottomOf="@id/view2"
        app:layout_constraintVertical_bias="0.7" />

    <TextView
        android:id="@+id/tv_urgent_freeze"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:text="紧急冻结"
        android:textColor="@color/normal"
        android:textSize="17sp"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toBottomOf="@id/tv_login"
        app:layout_constraintVertical_bias="0.8" />

    <TextView
        android:id="@+id/tv_forgot_password"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:text="找回密码"
        android:textColor="@color/normal"
        android:textSize="17sp"
        app:layout_constraintBottom_toBottomOf="@id/tv_urgent_freeze"
        app:layout_constraintEnd_toStartOf="@id/tv_urgent_freeze"
        app:layout_constraintHorizontal_bias="0.7"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toTopOf="@id/tv_urgent_freeze" />

    <TextView
        android:id="@+id/tv_security_center"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:text="安全中心"
        android:textColor="@color/normal"
        android:textSize="17sp"
        app:layout_constraintBottom_toBottomOf="@id/tv_urgent_freeze"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintHorizontal_bias="0.3"
        app:layout_constraintStart_toEndOf="@id/tv_urgent_freeze"
        app:layout_constraintTop_toTopOf="@id/tv_urgent_freeze" />


    <View
        android:layout_width="1dp"
        android:layout_height="0dp"
        android:background="#e5e5e5"
        app:layout_constraintBottom_toBottomOf="@id/tv_urgent_freeze"
        app:layout_constraintEnd_toStartOf="@id/tv_urgent_freeze"
        app:layout_constraintStart_toEndOf="@id/tv_forgot_password"
        app:layout_constraintTop_toTopOf="@id/tv_urgent_freeze" />

    <View
        android:layout_width="1dp"
        android:layout_height="0dp"
        android:background="#e5e5e5"
        app:layout_constraintBottom_toBottomOf="@id/tv_urgent_freeze"
        app:layout_constraintEnd_toStartOf="@id/tv_security_center"
        app:layout_constraintStart_toEndOf="@id/tv_urgent_freeze"
        app:layout_constraintTop_toTopOf="@id/tv_urgent_freeze" />

</androidx.constraintlayout.widget.ConstraintLayout>